﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ExcelGeneratorSaveDialogControl;

namespace ExampleFormsApplication
{
    public partial class ExampleForm : Form
    {
        private const int NUM_ROW = 20;
        private const int NUM_COLUMNS = 10;

        public ExampleForm()
        {
            InitializeComponent();
            SetDataView();
        }

        private void SetDataView() 
        {
            DataTable table = new DataTable();
            for (int i = 0; i < NUM_COLUMNS; i++) 
            {
                table.Columns.Add("Column:"+(i+1));
            }

            for (int i = 0; i < NUM_ROW ; i++)
            {
                DataRow row = table.NewRow();
                for (int j = 0; j < NUM_COLUMNS; j++) 
                {
                    row[j] = (i+1) + "-" + (j+1);
                }
                table.Rows.Add(row);
            }

            dataGridView.DataSource = table;
        }

        private void excelButton_click(object sender, EventArgs e)
        {
            ExcelGeneratorSaveDialog dialog = new ExcelGeneratorSaveDialog();
            dialog.ExportDataTable = (DataTable)dataGridView.DataSource;
            dialog.ProcessDialogResult(dialog.ShowDialog());
        }

        private void exportToExcelToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ExcelGeneratorSaveDialog dialog = new ExcelGeneratorSaveDialog();
            dialog.ProcessDialogResult(dialog.ShowDialog());
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}
